#	This file is part of SurrealServices.
#
#	SurrealServices is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	SurrealServices is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with SurrealServices; if not, write to the Free Software
#	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
package log;
use strict;

use constant {
	DEBUG => 0,
	INFO => 1,
	WARNING => 2,	# A bad thing might happen
	ERROR => 3,	# A bad thing happened
	CRITICAL => 4,	# One module is going down
	FATAL => 5,	# One thread is going down
	PANIC => 6	# The entire server is going down
};

our $path = '/home/remote/ircd/perlserv/logs/';
our @levels = ('DEBUG', 'INFO', 'WARNING', 'ERROR', 'CRITICAL', 'FATAL', 'PANIC');

sub wlog($$$) {
	my ($service, $level, $text) = @_;

	my $prefix;
	$prefix = "\002\00304" if($level > INFO);
	$prefix .= $levels[$level];
	net::privmsg('ServServ', $config::conf{diag}, "$prefix\: ($service) $text");
}

1;
